Activity log for bug #2039113

Date Who What changed Old value New value Message
2023-10-11 23:58:21 Dimitri John Ledkov bug added bug
2023-10-11 23:58:59 Dimitri John Ledkov attachment removed ua-status.json.txt https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/2039113/+attachment/5708740/+files/ua-status.json.txt
2023-10-11 23:59:11 Dimitri John Ledkov attachment removed livepatch-status.txt.txt https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/2039113/+attachment/5708739/+files/livepatch-status.txt.txt
2023-10-11 23:59:22 Dimitri John Ledkov attachment removed ubuntu-advantage.log.txt https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/2039113/+attachment/5708742/+files/ubuntu-advantage.log.txt
2023-10-11 23:59:27 Dimitri John Ledkov attachment removed ubuntu-advantage-timer.log.txt https://bugs.launchpad.net/ubuntu/+source/ubuntu-advantage-tools/+bug/2039113/+attachment/5708741/+files/ubuntu-advantage-timer.log.txt
2023-10-12 00:09:07 Apport retracing service tags amd64 apport-bug jammy need-amd64-retrace wayland-session amd64 apport-bug jammy wayland-session
2023-10-13 14:37:44 Dimitri John Ledkov ubuntu-advantage-tools (Ubuntu): importance Undecided Critical
2023-10-13 14:44:20 Dimitri John Ledkov tags amd64 apport-bug jammy wayland-session amd64 apport-bug jammy rls-nn-incoming wayland-session
2023-10-13 14:44:27 Dimitri John Ledkov bug task added snapd (Ubuntu)
2023-10-13 14:44:38 Dimitri John Ledkov snapd (Ubuntu): importance Undecided Critical
2023-10-13 15:52:48 Kian Parvin bug watch added https://github.com/canonical/livepatch-client/issues/181
2023-10-16 13:52:21 Dimitri John Ledkov bug task added canonical-livepatch-client
2023-10-16 13:52:25 Dimitri John Ledkov canonical-livepatch-client: importance Undecided Critical
2023-10-16 13:52:47 Dimitri John Ledkov bug task added ubuntu-release-upgrader (Ubuntu)
2023-10-16 13:52:53 Dimitri John Ledkov ubuntu-release-upgrader (Ubuntu): importance Undecided High
2023-10-16 13:56:54 Dimitri John Ledkov description ubuntu-advantage-tools installs "core" snap even though canonical-livepatch snap exists for every base it seems like instead of installing core22/stable on jammy systems, it installs latest/stable with core snap base, making core snap uninstallable. I will try to reproduce this, but this is off. Jammy+ systems, must not have core snap as unremovable anymore. ProblemType: Bug DistroRelease: Ubuntu 22.04 Package: ubuntu-advantage-tools 29.4~22.04 ProcVersionSignature: Ubuntu 6.2.0-34.34~22.04.1-generic 6.2.16 Uname: Linux 6.2.0-34-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu82.5 Architecture: amd64 CasperMD5CheckResult: pass CurrentDesktop: ubuntu:GNOME Date: Thu Oct 12 00:22:38 2023 InstallationDate: Installed on 2023-04-28 (166 days ago) InstallationMedia: Ubuntu 22.04.2 LTS "Jammy Jellyfish" - Release amd64 (20230223) SourcePackage: ubuntu-advantage-tools UpgradeStatus: No upgrade log present (probably fresh install) cloud-id.txt-error: Invalid command specified 'cloud-id'. uaclient.conf: contract_url: https://contracts.canonical.com log_level: debug ubuntu-advantage-tools installs "core" snap even though canonical-livepatch snap exists for every base it seems like instead of installing core22/stable on jammy systems, it installs latest/stable with core snap base, making core snap uninstallable. I will try to reproduce this, but this is off. Jammy+ systems, must not have core snap as unremovable anymore. === summary snapd: once core snap is installed, it can never be removed canonical-livepatch-client: does not provide base:bare build, nor does the default track point to most current base (today "base:core22"); nor do latest/stable/ubuntu-MM.YY branches exist that use matching base (i.e. latest/stable/ubuntu-22.04 publishes the core22/stable snap revisions) ubuntu-advantage-tools: installs default track livepatch-client, which doesn't match a given LTS release ubuntu-release-upgrader: doens't currently switch canonical-livepatch-client to use modern/matching base snap track. === ProblemType: Bug DistroRelease: Ubuntu 22.04 Package: ubuntu-advantage-tools 29.4~22.04 ProcVersionSignature: Ubuntu 6.2.0-34.34~22.04.1-generic 6.2.16 Uname: Linux 6.2.0-34-generic x86_64 NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair ApportVersion: 2.20.11-0ubuntu82.5 Architecture: amd64 CasperMD5CheckResult: pass CurrentDesktop: ubuntu:GNOME Date: Thu Oct 12 00:22:38 2023 InstallationDate: Installed on 2023-04-28 (166 days ago) InstallationMedia: Ubuntu 22.04.2 LTS "Jammy Jellyfish" - Release amd64 (20230223) SourcePackage: ubuntu-advantage-tools UpgradeStatus: No upgrade log present (probably fresh install) cloud-id.txt-error: Invalid command specified 'cloud-id'. uaclient.conf:  contract_url: https://contracts.canonical.com  log_level: debug
2023-10-16 15:09:26 Kian Parvin canonical-livepatch-client: status New Fix Committed
2023-10-17 12:35:06 Dimitri John Ledkov ubuntu-advantage-tools (Ubuntu): importance Critical Low
2023-10-17 12:35:10 Dimitri John Ledkov ubuntu-release-upgrader (Ubuntu): importance High Low
2023-10-17 12:35:20 Dimitri John Ledkov ubuntu-advantage-tools (Ubuntu): status New Invalid
2023-10-17 12:35:23 Dimitri John Ledkov ubuntu-release-upgrader (Ubuntu): status New Invalid
2023-10-17 12:41:54 Kian Parvin canonical-livepatch-client: status Fix Committed Fix Released